package _VisualDVM.TestingSystem.DVM.DVMEnvironment;
import Common.CommonConstants;
import Common.Database.Objects.DBObject;
import Common.Database.Objects.iDBObject;
import Common.Utils.Utils_;
public class DVMEnvironment extends iDBObject {
    public String name = "";
    public String value = "";
    public int dvmenvironmentsset_id = CommonConstants.Nan;
    public DVMEnvironment(String name_in, String value_in) {
        name = name_in;
        value = value_in;
    }
    public DVMEnvironment() {
    }
    @Override
    public void SynchronizeFields(DBObject src) {
        super.SynchronizeFields(src);
        DVMEnvironment src_ = (DVMEnvironment) src;
        name = src_.name;
        value = src_.value;
        dvmenvironmentsset_id = src_.dvmenvironmentsset_id;
    }
    public String print() {
        return name + "=" + Utils_.DQuotes(value);
    }
}
